scala.tools.nsc.Global

# typeDeconstruct

#### object typeDeconstruct extends StructuredTypeStrings

Source
  Global.scala

Linear Supertypes
StructuredTypeStrings, DestructureTypes, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. typeDeconstruct
2. StructuredTypeStrings
3. DestructureTypes
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait DestructureType[Node] extends (Global.Type) ⇒ Node

   Definition Classes
     DestructureTypes

2. #### case class Grouping(ldelim: String, mdelim: String, rdelim: String, labels: Boolean) extends Product with Serializable

   Definition Classes
     StructuredTypeStrings

3. #### case class LabelAndType(label: String, typeName: String) extends Product with Serializable

   Definition Classes
     StructuredTypeStrings

4. #### class MonoFunction extends TypeProduct

   Definition Classes
     StructuredTypeStrings

5. #### class NullaryFunction extends TypeProduct

   For a NullaryMethod, in = TypeEmpty; for MethodType(Nil, _) in = TypeNil

   For a NullaryMethod, in = TypeEmpty; for MethodType(Nil, _) in = TypeNil

   Definition Classes
     StructuredTypeStrings

6. #### class PolyFunction extends TypeProduct

   Definition Classes
     StructuredTypeStrings

7. #### case class TypeAtom[T](atom: T) extends TypeNode with Product with Serializable

   Definition Classes
     StructuredTypeStrings

8. #### class TypeList extends TypeProduct

   Definition Classes
     StructuredTypeStrings

9. #### sealed abstract class TypeNode extends AnyRef

   Definition Classes
     StructuredTypeStrings

10. #### case class TypeProduct(nodes: List[TypeNode]) extends TypeNode with Product with Serializable

    Definition Classes
      StructuredTypeStrings

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BlockGrouping: Grouping

   Definition Classes
     StructuredTypeStrings

5. #### object LabelAndType extends Serializable

   Definition Classes
     StructuredTypeStrings

6. #### val ListGrouping: Grouping

   Definition Classes
     StructuredTypeStrings

7. #### val NoGrouping: Grouping

   Definition Classes
     StructuredTypeStrings

8. #### val ProductGrouping: Grouping

   Definition Classes
     StructuredTypeStrings

9. #### object TypeEmpty extends TypeNode

   Definition Classes
     StructuredTypeStrings

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### val global: Global.this.type

    Definition Classes
      typeDeconstruct → StructuredTypeStrings → DestructureTypes

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### object intoNodes extends DestructureType[TypeNode]

    Definition Classes
      StructuredTypeStrings

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def show(tp: Global.Type): String

    Definition Classes
      StructuredTypeStrings

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from StructuredTypeStrings

### Inherited from DestructureTypes

### Inherited from AnyRef

### Inherited from Any

### Ungrouped